// THE HOVGAARD KLAN
// PROJECT: HOVTEXT
//---------------------------------------------------------------------------
// FILE......... : hovtext.cpp
// DESCRIPTION.. : Mostly the standard WinMain for a VCL-program, there is
//	 					 added a mutex so only one instance of HovText can run.
//	 					 And Application->ShowMainForm is set false, so no
//						 window is shown when the program starts.
// CHANGELOG.... :
//
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("ClipForm.cpp", ClipForm1);
USEFORM("about.cpp", AboutBox);
USEFORM("setup.cpp", SetupForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  CreateMutex(NULL, FALSE, "HovText") ;
  if (GetLastError() == ERROR_ALREADY_EXISTS)
  {
	 // If there is a mutex called "HovText" then
	 // HovText is already running on this machine
  }
  else
  {
	 try
	 {
	  Application->Initialize();
	  Application->Title = "HovText";
	  Application->ShowMainForm=false;
	  Application->CreateForm(__classid(TClipForm1), &ClipForm1);
	  Application->CreateForm(__classid(TSetupForm), &SetupForm);
	  Application->CreateForm(__classid(TAboutBox), &AboutBox);
	  Application->Run();
	 }
	 catch (Exception &exception)
    {
      Application->ShowException(&exception);
    }
    catch (...)
    {
      try
      {
        throw Exception("");
      }
      catch (Exception &exception)
      {
        Application->ShowException(&exception);
      }
    }
  }
  return 0;
}
//---------------------------------------------------------------------------